﻿using System.Net;

namespace TypedClientHttpClientFactoryReturningError.TypedClients
{
    public class TypedResponse<T>
    {
        private string _message;

        public T Content { get; set; }
        public HttpStatusCode HttpStatusCode { get; set; }
        public string ReasonPhrase { get; set; }
        // the response content comes back with extra quotes
        public string Message { get => _message.Trim('"'); set => _message = value; }
    }
}
